Subject: bug#48021: comp.el cannot be loaded without native compilation

From: Andrea Corallo <[email-masked]>
Date: Thu, 29 Apr 2021 19:08:18 +0000

Glenn Morris <[email-masked]> writes:

>>>>> Thanks. comp-cstr-test-70 is still failing for me.
>>>>
>>>> Could you share the invocation you are using? I'm asking cause here on
>>>> 449045b2a6 I see this passing.
>>
>> On CentOS 8.3 with gcc 8.3, I get:
>>
>> Test comp-cstr-test-70 condition:
>>     (ert-test-failed
>>      ((should
>>        (equal
>>        (comp-cstr-test-ts ...)
>>        '...))
>>       :form
>>       (equal
>>        (not
>>        (member b a))
>>        (not
>>        (member a b)))
>>
>> There is an identical failure on the very different system
>> https://hydra.nixos.org/build/142153876
>
> Same failure on Debian testing.

Hi Glenn,

39ebc2689b should fix this, please have a look.

Thanks

  Andrea